p.intro {
    box-sizing: border-box;
    margin-bottom: 5px;
    padding: 0 5px;
    text-align: center;
}

/* Filters */
ul.filter {
    margin-bottom: 3px;
    text-align: center;
    width: 100%;
}

ul.filter li {
    background-color: #666666;
    border: 1px solid #000000;
    box-sizing: border-box;
    color: #eeeeee;
    display: inline-block;
    height: 24px;
    line-height: 16px;
    margin-left: 5px;
    padding: 3px 5px;
}

ul.filter li:first-of-type {
    margin-left: 0;
}

ul.filter label:hover {
    cursor: pointer;
}

ul.filter input {
    opacity: 0;
    position: absolute;
}

ul.filter span {
    display: none;
    float: left;
    margin-right: 3px;
}

ul.filter input:checked + span {
    display: inline-block;
}

/* List */
ul.gifts {
    margin-bottom: 1px;
    width: 100%;
}

ul.gifts li,
ul.gifts article {
    box-sizing: border-box;
}

ul.gifts li {
    float: left;
    padding: 2px;
}

ul.gifts article {
    border: 1px dashed #888888;
    padding: 3px;
    position: relative;
    text-align: center;
}

ul.gifts h3 {
    margin-bottom: 9px;
    margin-top: 3px;
}

ul.gifts a.img img {
    border: 1px solid #000000;
    height: 169px;
    max-width: 300px;
}

ul.gifts p {
    margin-bottom: 0;
}

ul.gifts p.reserve_details,
ul.gifts p.message {
    background-color: #fffbb0;
    border: 1px dashed #888888;
    border-top-style: none;
    box-sizing: border-box;
    margin-top: 3px;
    padding: 3px;
    position: absolute;
    width: 98%;
    z-index: 2;
}

ul.gifts p.reserve_details button {
    float: right;
}

ul.gifts p.message {
    height: 27px;
    line-height: 27px;
}

ul.gifts p.message span {
    display: inline-block;
    height: 20px;
    line-height: 20px;
    vertical-align: top;
}

ul.gifts p.message span.loading:before {
    background-repeat: no-repeat;
    content: " ";
    display: inline-block;
    height: 16px;
    margin-right: 3px;
    vertical-align: middle;
    width: 16px;
}

/* Transitions */
ul.gifts li.fade {
    opacity: 0;
    transition: all 0.75s ease-out;
    width: 0;
}

/* Cats */
ul.gifts li.cat-holly article,
ul.gifts li.cat-holly p.reserve_details,
ul.gifts li.cat-holly p.message {
    background-color: #d8bfd8;
    border-color: #8b008b;
}

ul.gifts li.cat-holly p.message span.loading:before {
    background-image: url("/images/icons/loading_holly.gif");
}

ul.gifts li.cat-max article,
ul.gifts li.cat-max p.reserve_details,
ul.gifts li.cat-max p.message {
    background-color: #add8e6;
    border-color: #000080;
}

ul.gifts li.cat-max p.message span.loading:before {
    background-image: url("/images/icons/loading_max.gif");
}

/* Confirmation Fixes */
container {
    z-index: 3;
}

footer {
    z-index: 1;
}
